Name:           xfce4-settings
Version:        4.5.92
Release:        2%{?dist}
Summary:        Settings Manager for Xfce

Group:          User Interface/Desktops
# xfce4-settings-helper is GPLv2 only. 
License:        GPLv2+ and GPLv2
URL:            http://www.xfce.org/
Source0:        http://www.xfce.org/archive/xfce-%{version}/src/xfce4-settings-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gettext
BuildRequires: exo-devel >= 0.3.92
BuildRequires: libxfcegui4-devel >= 4.5.92
BuildRequires: libglade2-devel
BuildRequires: libwnck-devel
BuildRequires: desktop-file-utils >= 0.7
BuildRequires: libnotify-devel
BuildRequires: libcanberra-devel
BuildRequires: libxklavier-devel
BuildRequires: xfconf-devel

%description
This package includes the settings manager applications for the Xfce desktop. 

%prep
%setup -q


%build
%configure --enable-sound-settings
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor "fedora"                          \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications/        \
        --delete-original                                       \
        dialogs/display-settings/xfce-display-settings.desktop

desktop-file-install --vendor "fedora"                          \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications/        \
        --delete-original                                       \
        dialogs/keyboard-settings/xfce-keyboard-settings.desktop

desktop-file-install --vendor "fedora"                          \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications/        \
        --delete-original                                       \
        dialogs/mouse-settings/xfce-mouse-settings.desktop

desktop-file-install --vendor "fedora"                          \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications/        \
        --delete-original                                       \
        xfce4-settings-manager/xfce-settings-manager.desktop

desktop-file-install --vendor "fedora"                          \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications/        \
        --delete-original                                       \
        dialogs/appearance-settings/xfce-ui-settings.desktop

desktop-file-install --vendor "fedora"                    \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications/  \
        --delete-original                                       \
        dialogs/accessibility-settings/xfce4-accessibility-settings.desktop

desktop-file-install --vendor "fedora"                    \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications/  \
        --delete-original                                       \
        xfce4-settings-editor/xfce4-settings-editor.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc
%config(noreplace) %{_sysconfdir}/xdg/autostart/xfce4-settings-helper-autostart.desktop
%dir %{_sysconfdir}/xdg/xfce4
%dir %{_sysconfdir}/xdg/xfce4/xfconf/
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml
%config(noreplace) %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml
%{_bindir}/xfce4-accessibility-settings
%{_bindir}/xfce4-appearance-settings
%{_bindir}/xfce4-display-settings
%{_bindir}/xfce4-keyboard-settings
%{_bindir}/xfce4-mouse-settings
%{_bindir}/xfce4-settings-editor
%{_bindir}/xfce4-settings-helper
%{_bindir}/xfce4-settings-manager
%{_bindir}/xfsettingsd
%{_datadir}/applications/*.desktop

%changelog
* Sat Dec 27 2008 Kevin Fenzi <kevin@tummy.com> - 4.5.92-2
- Cleaned up desktop-file-install
- Added some BuildRequires. 

* Fri Dec 26 2008 Kevin Fenzi <kevin@tummy.com> - 4.5.92-1
- Initial version for Fedora. 

